Page MenuHomePhabricator

Stray user files on old eqiad bastions
Closed, ResolvedPublic

Description

There are a bunch of files in /home on the old bastions (mostly on bastion-01.bastion.eqiad.wmflabs). In theory users shouldn't be storing things there anyway.

Now that I've changed DNS to point to eqiad1-r bastions, users won't be able to reach those files anymore. I'm not sure if we should just delete them and feel no remorse, or try to archive or salvage things somehow.

Event Timeline

Andrew triaged this task as Normal priority.Jan 7 2019, 3:34 PM
Andrew created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJan 7 2019, 3:34 PM
bd808 added a subscriber: bd808.Jan 8 2019, 3:06 AM
$ ssh bastion-01.bastion.eqiad.wmflabs
$ find /home -type f|grep -v '/\.'|cut -d / -f 3|sort|uniq -c|sort -h
      1 abdealijk
      1 bflagg
      1 brion
      1 chicocvenancio
      1 daniel
      1 dcausse
      1 deltaquad
      1 dhun
      1 milimetric
      1 mschwarzer
      1 mvolz
      1 plato2000
      1 southparkfan
      1 stwalkerster
      1 wmde-fisch
      2 edsu
      2 mobrovac
      2 niedzielski
      2 thehelpfulone
      3 elvey
      5 krenair
      6 dr0ptp4kt
      6 y-verciti
     11 timmoody
     22 jkbr
     89 taxonbot
    455 joedecker
    551 fajne
    788 diyop
   5452 javad
  11465 avgas
  31174 tom29739
$ ssh bastion-02.bastion.eqiad.wmflabs
$ find /home -type f|grep -v '/\.'|cut -d / -f 3|sort|uniq -c|sort -h
$ 
$ ssh bastion-restricted-01.bastion.eqiad.wmflabs
$ find /home -type f|grep -v '/\.'|cut -d / -f 3|sort|uniq -c|sort -h
      7 andrew
     23 ariel
$ ssh bastion-restricted-02.bastion.eqiad.wmflabs
$ find /home -type f|grep -v '/\.'|cut -d / -f 3|sort|uniq -c|sort -h
$ 

If we were doing this shuffle on a production network host we would probably rsync the files over to the new bastion. I'm kind of on the fence for this since as @Andrew said in the opening, in theory nobody should be doing work on the bastions.

Andrew added a comment.Jan 8 2019, 2:06 PM

I emailed most of the above users (everyone with more than ~50k of files) with notice that they have 7 days to do a rescue. A few people have followed up.

Andrew closed this task as Resolved.Jan 23 2019, 7:43 PM